GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

        • Login

        • Logout

        • Manage Token

        • Register

        • User information

          • Get user information
          • Modify user information
          • Bind email
          • Unbind email
          • Bind phone number
          • Unbind phone number
          • Get password strength and account security rating
          • Change password
          • Initiate verification request to change email
          • Change email
          • Initiate verification request to change mobile phone number
          • Change mobile phone number
          • Initiate forgotten password request
          • Forgot password
          • Initiate account cancellation request
          • Cancel account
        • Account Binding

        • MFA Factor Management

        • User-related resources

        • Message service

        • Authentication

        • Others

        • OIDC module
        • OAuth module
        • SAML module
        • CAS module
        • Events
      • Management module

    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. User authentication module

  8. /
  9. User information

  10. /
  11. Initiate account cancellation request

¶ Initiate a request to cancel an account

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the document description is incorrect, please refer to the V3 API.

When a user wants to cancel an account, he needs to provide the corresponding credentials. Currently, three verification methods are supported: Use email verification code, Use mobile verification code, and Use password.

¶ Method Name

AuthenticationClient.verifyDeleteAccountRequest

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
verifyMethodstringYes-Account deregistration verification method:
- PHONE_PASSCODE: Use the phone number verification code method for verification.
- EMAIL_PASSCODE: Use the email verification code method for verification.
- PASSWORD: If the user has neither a phone number nor an email bound, the password can be used as a verification method.
PHONE_PASSCODE
phonePassCodePayloadDeleteAccountByPhonePassCodeDtoNo-Data verified by phone number verification code
emailPassCodePayloadDeleteAccountByEmailPassCodeDtoNo-Data verified by email verification code
passwordPayloadDeleteAccountByPasswordDtoNo-Data verified by password

¶ Sample Code

package test.authentication;

import cn.authing.sdk.java.client.AuthenticationClient;
import cn.authing.sdk.java.dto.DeleteAccountByEmailPassCodeDto;
import cn.authing.sdk.java.dto.VerifyDeleteAccountRequestDto;
import cn.authing.sdk.java.dto.VerifyDeleteAccountRequestRespDto;
import cn.authing.sdk.java.model.AuthenticationClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class VerifyDeleteAccountRequestTest {
    // Need to be replaced with your GenAuth App ID
    private static final String APP_ID = "AUTHING_APP_ID";
    // Need to be replaced with your GenAuth App Secret
    private static final String APP_SECRET = "AUTHING_APP_SECRET";
    // Need to be replaced with your GenAuth App Host
    private static final String APP_HOST = "AUTHING_APP_HOST";
    // Need to be replaced with your GenAuth Access Token
    private static final String ACCESS_TOKEN = "AUTHING_ACCESS_TOKEN";

    public static void main(String[] args) throws Throwable {
        AuthenticationClientOptions clientOptions = new AuthenticationClientOptions();
        clientOptions.setAppId(APP_ID);
        clientOptions.setAppSecret(APP_SECRET);
        clientOptions.setAppHost(APP_HOST);
        clientOptions.setAccessToken(ACCESS_TOKEN);

        AuthenticationClient client = new AuthenticationClient(clientOptions);

        VerifyDeleteAccountRequestDto reqDto = new VerifyDeleteAccountRequestDto();
        reqDto.setVerifyMethod(VerifyDeleteAccountRequestDto.VerifyMethod.EMAIL_PASSCODE);
        DeleteAccountByEmailPassCodeDto passCodeDto = new DeleteAccountByEmailPassCodeDto();
        passCodeDto.setEmail("123@qq.com");
        // Email verification code, a SMS verification code can only be used once, and the default validity period is 5 minutes. You need to obtain it through the send email interface.
        passCodeDto.setPassCode("xxx");
        reqDto.setEmailPassCodePayload(passCodeDto);
        VerifyDeleteAccountRequestRespDto response = client.verifyDeleteAccountRequest(reqDto);
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: VerifyDeleteAccountRequestRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which you can get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataVerifyDeleteAccountRequestDataDtoResponse Data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "deleteAccountToken": "xxxx",
    "tokenExpiresIn": 60
  }
}

¶ Data Structure

¶ DeleteAccountByPhonePassCodeDto

NameType
Is it required
Description
Example Value
phoneNumberstringYesThe phone number bound to this account, without the area code. If it is a foreign phone number, please specify the area code in the phoneCountryCode parameter.188xxxx8888
passCodestringYesSMS verification code. An SMS verification code can only be used once and is valid for one minute. You need to obtain it through the Send SMS interface.123456
phoneCountryCodestringNoMobile area code+86

¶ DeleteAccountByEmailPassCodeDto

NameType
Is it required
Description
Example Value
emailstringNoEmail address bound to this account, not case sensitive.
passCodestringYesEmail verification code. A SMS verification code can only be used once, and the default validity period is 5 minutes. You need to obtain it through the Send Email interface.

¶ DeleteAccountByPasswordDto

NameType
Is it required
Description
Example Value
passwordstringYesUser password
passwordEncryptTypestringNoPassword encryption type, supports RSA256 and SM2 algorithms. The default is none, no encryption.
- none: Do not encrypt the password, use plain text for transmission.
- rsa: Use RSA256 algorithm to encrypt the password, and need to use the RSA public key of GenAuth service for encryption. Please read the Introduction section to learn how to obtain the RSA256 public key of GenAuth service.
- sm2: Use SM2 algorithm of national secret (opens new window) to encrypt the password, and need to use the SM2 public key of GenAuth service for encryption. Please read the Introduction section to learn how to obtain the SM2 public key of GenAuth service.
sm2

¶ VerifyDeleteAccountRequestDataDto

NameType
Is it required
Description
Example Value
deleteAccountTokenstringYesTemporary Token used to cancel an account. You need to call the CancelAccount interface to perform the actual account cancellation operation.xxxx
tokenExpiresInnumberYesToken validity period, the default is 60 seconds.60
Previous article: Forgot password Next article: Cancel account
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.